summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm_kata/worker_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/vagrant/kubeadm_kata/worker_setup.sh')
-rw-r--r--src/vagrant/kubeadm_kata/worker_setup.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/src/vagrant/kubeadm_kata/worker_setup.sh b/src/vagrant/kubeadm_kata/worker_setup.sh
new file mode 100644
index 0000000..a6e4bf4
--- /dev/null
+++ b/src/vagrant/kubeadm_kata/worker_setup.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Copyright (c) 2017 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+sudo kubeadm join --token 8c5adc.1cec8dbf339093f0 192.168.1.10:6443 || true
+
+sudo apt-get install -y putty-tools
+mkdir ~/.kube
+r=1
+while [ "$r" -ne "0" ]
+do
+ sleep 30
+ echo "y\n" | plink -ssh -pw vagrant vagrant@master "cat ~/.kube/config" > ~/.kube/config || true
+ r=$(kubectl get pods -n kube-system | grep weave-net | grep -v Run | wc -l)
+done
+
+sudo systemctl restart crio